#ifndef _ENTITY_H_
#define _ENTITY_H_

#include "mesh.h"

class Entity : public Movable
{
    const Mesh *m_mesh;

    public:
        Entity(const Mesh *mesh) : m_mesh(mesh) {}
        Entity(const Mesh *mesh, const Vector3 &position) :
            Movable(position), m_mesh(mesh) {}
        Entity(const Mesh *mesh, double x, double y, double z) :
            Movable(x, y, z), m_mesh(mesh) {}

        const Mesh *mesh(void) const { return m_mesh; }
};

#endif
